Description

When creating a contact the 'role' attribute shows up incorrectly (because
contact doesn't have a role in EML2). To reproduce, do the follwoing:

1) Start morpho and log in

2) New data package..., fill in title, skip keywords

3) On creator page, add a creator with name "User One"

4) Go to contact page, add contact, choose the "User One" from the reference
list, hit OK

5) Click "Edit" for "User One" on the contact page. The 'Role’ combobox will
now appear incorrectly, allowing you to set a role for the contact (actually, it

is now required, which is definitely wrong) -- fill in the role and click ok

6) Go through the rest of the optional wizard screens, adding nothing, till you
get to the end and finish, then Save the document. The resulting XML document
is invalid because of the spurious role field. | will attach the invalid XML

that is produced.

History

#2 - 04/09/2004 11:12 AM - Dan Higgins

HINT: This bug occurs even when there is no reference! It is apparently a bug in
the Edit button call, not in refernce handling!

#3 - 04/09/2004 12:57 PM - Dan Higgins

This bug was not (directly) due to reference handling, but rather to the code

that builds the list of parties in the PartyMainPage class. This code always

changed the party editor type to PARTY_PERSONNEL, which has a role box which is
required. This bug would appear whenever one clicked the Edit button to edit a

party.

Fix was to simply to change a line in PartyMainPage populatePartiesList method
to use the party type of the PartyMainPage instance!

#4 - 03/27/2013 02:17 PM - Redmine Admin
Original Bugzilla ID was 1468
